# Make Payment

## Make Payment

<mark style="color:green;">`POST`</mark> `https://api-alpha.dev.bantupay.org/v2/users/{username}/payments`

Sending a payment is a two-step process:\
&#x20; 1\. Send the required fields in the JSON payload without transaction signature, a base64 encoded transaction would be returned form the bantupay-sdk to sign.\
&#x20; 2\. Resend the same payload but now included the signed transaction code

#### Path Parameters

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| username | string |             |

#### Headers

| Name                  | Type   | Description                                                                      |
| --------------------- | ------ | -------------------------------------------------------------------------------- |
| X-BANTUPAY-PUBLIC-KEY | string | your Bantu Blockchain public key                                                 |
| X-BANTUPAY-SIGNATURE  | string | <p>payload can be signed with <https://request-signer.dev.bantu.network><br></p> |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "destination": "richard",
  "memo": "Me AgAin",
  "assetIssuer": "GDRK25QFQZBU3BONU4TAAPKWQQEERZB2POIPI2EM4GRTKCHXCQK27PY2",
  "assetCode": "FEE",
  "amount": "200",
  "transaction": "AAAAAgAAAADirXYFhkNNhc2nJgA9VoQISOQ6e5D0aIzhozUI9xQVrwAAASwAHJgYAAAACgAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAhNZSBBZ0FpbgAAAAMAAAABAAAAAOKtdgWGQ02FzacmAD1WhAhI5Dp7kPRojOGjNQj3FBWvAAAAAQAAAACs4VcUu0JrkI1NEGdJCyrlSH4LimG0RDLQPZQZv0/hkwAAAAAAAAAAATEtAAAAAAEAAAAArOFXFLtCa5CNTRBnSQsq5Uh+C4phtEQy0D2UGb9P4ZMAAAAGAAAAAUZFRQAAAAAA4q12BYZDTYXNpyYAPVaECEjkOnuQ9GiM4aM1CPcUFa985mxQ4oQAAAAAAAEAAAAA4q12BYZDTYXNpyYAPVaECEjkOnuQ9GiM4aM1CPcUFa8AAAABAAAAAKzhVxS7QmuQjU0QZ0kLKuVIfguKYbREMtA9lBm/T+GTAAAAAUZFRQAAAAAA4q12BYZDTYXNpyYAPVaECEjkOnuQ9GiM4aM1CPcUFa8AAAAAdzWUAAAAAAAAAAABv0/hkwAAAEBS1R8fpwHrPalKiau8KGVcHbTKblfEwjbTd1oJMWOBDsylgLavZ/m1zs6jiw/9NZYubSfGGAibQ9tPH2lSy9QK",
  "transactionSignature": "clbayn3wEp5j09lipxX1CAU/QS1tliBw33uEr1kS5Z8ntP0HD0VAeR/oUkSe/jLQMFPzcvpF4b4tHTtZHgjFAg==",
  "transactionId": "756d0d44f9bce9d3bd3bc723d3b8d618c913e047f6c610c3e3cabb6197ac93e8",
  "networkPassPhrase": "Bantu Testnet",
  "destinationFirstName": "RICHA",
  "destinationLastName": "RIC",
  "destinationThumbnail": ""
}
```

{% endtab %}

{% tab title="404 " %}

```javascript
{
  "error": "string",
  "data": "string",
  "message": "string"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.bantupay.org/payments/make-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
